WOX AI

API Reference

Reference for the WOX AI OpenAI-compatible API

GET
/v1/models

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Query Parameters

key?string

Google API Key (for the Gemini format)

Header Parameters

x-api-key?string

Anthropic API Key (for the Claude format)

anthropic-version?string

Anthropic API version

x-goog-api-key?string

Google API Key (for the Gemini format)

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/models" \  -H "x-api-key: " \  -H "anthropic-version: " \  -H "x-goog-api-key: "
{  "object": "string",  "data": [    {      "id": "string",      "object": "string",      "created": 0,      "owned_by": "string"    }  ]}
GET
/v1beta/models

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Response Body

application/json

curl -X GET "https://example.com/v1beta/models"
{  "models": [    {      "name": "string",      "version": "string",      "displayName": "string",      "description": "string",      "inputTokenLimit": 0,      "outputTokenLimit": 0,      "supportedGenerationMethods": [        "string"      ]    }  ]}
POST
/v1/chat/completions

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/chat/completions" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "messages": [      {        "role": "system",        "content": "string"      }    ]  }'
{  "id": "string",  "object": "string",  "created": 0,  "model": "string",  "choices": [    {      "index": 0,      "message": {        "role": "system",        "content": "string",        "name": "string",        "tool_calls": [          {            "id": "string",            "type": "string",            "function": {              "name": "string",              "arguments": "string"            }          }        ],        "tool_call_id": "string",        "reasoning_content": "string"      },      "finish_reason": "stop"    }  ],  "usage": {    "prompt_tokens": 0,    "completion_tokens": 0,    "total_tokens": 0,    "prompt_tokens_details": {      "cached_tokens": 0,      "text_tokens": 0,      "audio_tokens": 0,      "image_tokens": 0    },    "completion_tokens_details": {      "text_tokens": 0,      "audio_tokens": 0,      "reasoning_tokens": 0    }  },  "system_fingerprint": "string"}
POST
/v1/responses

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/responses" \  -H "Content-Type: application/json" \  -d '{    "model": "string"  }'
{  "id": "string",  "object": "string",  "created_at": 0,  "status": "completed",  "model": "string",  "output": [    {      "type": "string",      "id": "string",      "status": "string",      "role": "string",      "content": [        {          "type": "string",          "text": "string"        }      ]    }  ],  "usage": {    "prompt_tokens": 0,    "completion_tokens": 0,    "total_tokens": 0,    "prompt_tokens_details": {      "cached_tokens": 0,      "text_tokens": 0,      "audio_tokens": 0,      "image_tokens": 0    },    "completion_tokens_details": {      "text_tokens": 0,      "audio_tokens": 0,      "reasoning_tokens": 0    }  }}
POST
/v1/responses/compact

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/responses/compact" \  -H "Content-Type: application/json" \  -d '{    "model": "string"  }'
{  "id": "string",  "object": "string",  "created_at": 0,  "output": [    {}  ],  "usage": {    "prompt_tokens": 0,    "completion_tokens": 0,    "total_tokens": 0,    "prompt_tokens_details": {      "cached_tokens": 0,      "text_tokens": 0,      "audio_tokens": 0,      "image_tokens": 0    },    "completion_tokens_details": {      "text_tokens": 0,      "audio_tokens": 0,      "reasoning_tokens": 0    }  },  "error": {}}
POST
/v1/images/generations

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/images/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "qwen-image-plus",    "input": {      "messages": [        {          "role": "user",          "content": [            {              "text": "An elegant and stately pair of calligraphy scrolls hangs in a hall. The room has a quiet, classical Chinese interior, with blue-and-white porcelain on the table. The left scroll reads \\"Righteousness is innate; humans and machines share the Way and think wisely of the new,\\" the right scroll reads \\"Cloud-connected intelligence awakens the universe; numbers carry lofty aspirations,\\" and the horizontal plaque reads \\"Wisdom Awakens through Shared Understanding.\\" The calligraphy is graceful, and a Chinese-style painting of Yueyang Tower hangs in the center."            }          ]        }      ]    },    "parameters": {      "negative_prompt": "",      "prompt_extend": true,      "watermark": false,      "size": "1328*1328"    }  }'
{  "created": 0,  "data": [    {      "url": "string",      "b64_json": "string",      "revised_prompt": "string"    }  ]}
POST
/v1/images/edits

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/images/edits" \  -H "Content-Type: application/json" \  -d '{      "model": "qwen-image-edit-plus",      "input": {          "messages": [              {                  "role": "user",                  "content": [                      {                          "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"                      },                      {                          "text": "Generate an image that follows the depth map and this description: a weathered red bicycle is parked on a muddy path, with a dense primeval forest in the background"                      }                  ]              }          ]      },      "parameters": {          "n": 2,          "negative_prompt": " ",          "prompt_extend": true,          "watermark": false      }  }'
{  "created": 0,  "data": [    {      "url": "string",      "b64_json": "string",      "revised_prompt": "string"    }  ]}
POST
/v1/videos

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/videos"
{  "id": "sora-2-123456",  "object": "video",  "model": "sora-2",  "status": "queued",  "progress": 0,  "created_at": 1764347090922,  "seconds": "8"}
GET
/v1/videos/{task_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

Video task ID

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/videos/sora-2-123456"
{  "id": "sora-2-123456",  "object": "video",  "model": "sora-2",  "status": "queued",  "progress": 0,  "created_at": 1764347090922,  "seconds": "8"}
GET
/v1/videos/{task_id}/content

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

Video task ID

Response Body

video/mp4

application/json

curl -X GET "https://example.com/v1/videos/video-abc123/content"
"string"
POST
/kling/v1/videos/text2video

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Video generation request

Response Body

application/json

application/json

curl -X POST "https://example.com/kling/v1/videos/text2video" \  -H "Content-Type: application/json" \  -d '{    "model": "kling-v1",    "prompt": "The astronaut stands up and walks away",    "duration": 5,    "width": 1280,    "height": 720,    "fps": 30  }'
{  "task_id": "string",  "status": "string"}
GET
/kling/v1/videos/text2video/{task_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

Task ID

Response Body

application/json

application/json

curl -X GET "https://example.com/kling/v1/videos/text2video/task-abc123"
{  "task_id": "string",  "status": "queued",  "url": "string",  "format": "string",  "metadata": {    "duration": 0,    "fps": 0,    "width": 0,    "height": 0,    "seed": 0  },  "error": {    "code": 0,    "message": "string"  }}
POST
/kling/v1/videos/image2video

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Video generation request

Response Body

application/json

application/json

curl -X POST "https://example.com/kling/v1/videos/image2video" \  -H "Content-Type: application/json" \  -d '{    "model": "kling-v1",    "prompt": "The person turns around and walks away",    "image": "https://example.com/image.jpg",    "duration": 5,    "width": 1280,    "height": 720  }'
{  "task_id": "string",  "status": "string"}
GET
/kling/v1/videos/image2video/{task_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

Task ID

Response Body

application/json

application/json

curl -X GET "https://example.com/kling/v1/videos/image2video/task-abc123"
{  "task_id": "string",  "status": "queued",  "url": "string",  "format": "string",  "metadata": {    "duration": 0,    "fps": 0,    "width": 0,    "height": 0,    "seed": 0  },  "error": {    "code": 0,    "message": "string"  }}
POST
/jimeng/

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Query Parameters

Action*string

API operation type

Value in

  • "CVSync2AsyncSubmitTask"
  • "CVSync2AsyncGetResult"
Version*string

API version

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Official Jimeng API request format

Response Body

application/json

application/json

curl -X POST "https://example.com/jimeng/?Action=CVSync2AsyncSubmitTask&Version=2022-08-31" \  -H "Content-Type: application/json" \  -d '{    "req_key": "jimeng_video_generation",    "prompt": "A cat playing the piano"  }'
{  "code": 0,  "message": "string",  "data": {}}
POST
/v1/video/generations

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Video generation request

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/video/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "kling-v1",    "prompt": "An astronaut walking on the Moon",    "duration": 5,    "width": 1280,    "height": 720  }'
{  "task_id": "string",  "status": "string"}
GET
/v1/video/generations/{task_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

Task ID

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/video/generations/abcd1234efgh"
{  "task_id": "string",  "status": "queued",  "url": "string",  "format": "string",  "metadata": {    "duration": 0,    "fps": 0,    "width": 0,    "height": 0,    "seed": 0  },  "error": {    "code": 0,    "message": "string"  }}
POST
/v1/messages

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Header Parameters

anthropic-version*string

Anthropic API version

x-api-key?string

Anthropic API Key (optional; a Bearer Token can also be used)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/messages" \  -H "anthropic-version: " \  -H "x-api-key: " \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "messages": [      {        "role": "user",        "content": "string"      }    ],    "max_tokens": 1  }'
{  "id": "string",  "type": "string",  "role": "string",  "content": [    {      "type": "string",      "text": "string"    }  ],  "model": "string",  "stop_reason": "end_turn",  "usage": {    "input_tokens": 0,    "output_tokens": 0,    "cache_creation_input_tokens": 0,    "cache_read_input_tokens": 0  }}
POST
/v1beta/models/{model}:generateContent

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

model*string

Model name

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1beta/models/gemini-3-pro-image-preview:generateContent" \  -H "Content-Type: application/json" \  -d '{    "contents": [      {        "role": "user",        "parts": [          {            "text": "draw a cat"          }        ]      }    ],    "generationConfig": {      "responseModalities": [        "TEXT",        "IMAGE"      ],      "imageConfig": {        "aspectRatio": "16:9",        "imageSize": "4K"      }    }  }'
{  "candidates": [    {      "content": {        "role": "string",        "parts": [          {}        ]      },      "finishReason": "string",      "safetyRatings": [        {}      ]    }  ],  "usageMetadata": {    "promptTokenCount": 0,    "candidatesTokenCount": 0,    "totalTokenCount": 0  }}
POST
/v1/engines/{model}/embeddings

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

model*string

Model or engine ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/engines//embeddings" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "input": "string"  }'
{  "object": "string",  "data": [    {      "object": "string",      "index": 0,      "embedding": [        0      ]    }  ],  "model": "string",  "usage": {    "prompt_tokens": 0,    "total_tokens": 0  }}
POST
/v1/embeddings

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "input": "string"  }'
{  "object": "string",  "data": [    {      "object": "string",      "index": 0,      "embedding": [        0      ]    }  ],  "model": "string",  "usage": {    "prompt_tokens": 0,    "total_tokens": 0  }}
POST
/v1/completions

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/completions" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "prompt": "string"  }'
{  "id": "string",  "object": "string",  "created": 0,  "model": "string",  "choices": [    {      "text": "string",      "index": 0,      "finish_reason": "string"    }  ],  "usage": {    "prompt_tokens": 0,    "completion_tokens": 0,    "total_tokens": 0,    "prompt_tokens_details": {      "cached_tokens": 0,      "text_tokens": 0,      "audio_tokens": 0,      "image_tokens": 0    },    "completion_tokens_details": {      "text_tokens": 0,      "audio_tokens": 0,      "reasoning_tokens": 0    }  }}
POST
/v1/audio/transcriptions

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/audio/transcriptions" \  -F file="string" \  -F model="string"
{  "text": "string"}
POST
/v1/audio/translations

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/audio/translations" \  -F file="string" \  -F model="string"
{  "text": "string"}
POST
/v1/audio/speech

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

audio/mpeg

curl -X POST "https://example.com/v1/audio/speech" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "input": "string",    "voice": "alloy"  }'
"string"
POST
/v1/rerank

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/rerank" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "query": "string",    "documents": [      "string"    ]  }'
{  "id": "string",  "results": [    {      "index": 0,      "relevance_score": 0,      "document": {}    }  ],  "meta": {}}
POST
/v1/moderations

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/moderations" \  -H "Content-Type: application/json" \  -d '{    "input": "string"  }'
{  "id": "string",  "model": "string",  "results": [    {      "flagged": true,      "categories": {},      "category_scores": {}    }  ]}
GET
/v1/realtime

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Query Parameters

model?string

Model to use

Response Body

application/json

curl -X GET "https://example.com/v1/realtime"
Empty
GET
/v1/fine-tunes

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/fine-tunes"
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}
POST
/v1/fine-tunes

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/fine-tunes" \  -H "Content-Type: application/json" \  -d '{}'
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}
GET
/v1/fine-tunes/{fine_tune_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

fine_tune_id*string

Response Body

application/json

curl -X GET "https://example.com/v1/fine-tunes/"
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}
POST
/v1/fine-tunes/{fine_tune_id}/cancel

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

fine_tune_id*string

Response Body

application/json

curl -X POST "https://example.com/v1/fine-tunes//cancel"
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}
GET
/v1/fine-tunes/{fine_tune_id}/events

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

fine_tune_id*string

Response Body

application/json

curl -X GET "https://example.com/v1/fine-tunes//events"
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}
GET
/v1/files

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/files"
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}
POST
/v1/files

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/files"
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}
GET
/v1/files/{file_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

file_id*string

Response Body

application/json

curl -X GET "https://example.com/v1/files/"
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}
DELETE
/v1/files/{file_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

file_id*string

Response Body

application/json

curl -X DELETE "https://example.com/v1/files/"
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}
GET
/v1/files/{file_id}/content

Authorization

BearerAuth
AuthorizationBearer <token>

Authenticate with a bearer token. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

file_id*string

Response Body

application/json

curl -X GET "https://example.com/v1/files//content"
{  "error": {    "message": "string",    "type": "string",    "param": "string",    "code": "string"  }}